# `ngCsp` (directive in module `ng` )

Improve this doc

## Description

Enables CSP (Content Security Policy) support. This directive should be used on the root element of the application (typically the `<html>` element or other element with the `ngApp` directive).

If enabled the performance of template expression evaluator will suffer slightly, so don't enable this mode unless you need it.

## Usage

as attribute

    <html ng-csp>
       ...
    </html>

as class

    <html class="ng-csp">
       ...
    </html>

### Directive info

- This directive executes at priority level 1000.